> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/27.-mutatie-salveaza-nota-atasata-la-setdedatesol.md).

# 27. Mutație: Salvează "Notă" atașată la "SetDeDateSol"

Această mutație vă permite să atașați o Notă la un anumit SoilDataset.

* O Notă poate fi legată de Câmp prin identificatorul său unic `fieldUuid` și la SoilDataset-ul asociat prin `soilDatasetUuid`.
* Coordonata Notei poate fi setată folosind `centroid` atribut, care necesită definite `latitudine` și `longitudine` valori.&#x20;
* Tipul Notei poate fi specificat folosind `tip` atributul cu valori acceptabile `PLANIFICAT` sau `REAL`.&#x20;
* Descrierea Notei poate fi furnizată folosind `comment` atribut. Dacă descrierea trebuie să fie pe mai multe linii, `comment` atributul ar trebui să conțină un șir cu caractere de sfârșit de linie `\\n` pentru a separa liniile. De exemplu: `"Prima linie este aici\\nA doua linie este aici.\\nA treia linie este aici."`.

Cereri exemplu pot fi găsite mai jos:

```graphql
mutație SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Nota de test atașată la SoilDataset",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitudine
      longitudine
    }
    dataCrearii
    updatedDate
    tip
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutație SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Prima linie este aici\\nA doua linie este aici.\\nA treia linie este aici.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitudine
      longitudine
    }
    dataCrearii
    updatedDate
    tip
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/27.-mutatie-salveaza-nota-atasata-la-setdedatesol.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
